Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Cleanup_Func_Registry.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Versioned_Namespace.h"`
`#include "ace/Array_Base.h"`
`#include "Cleanup_Func_Registry.inl"`

Include dependency graph for Cleanup_Func_Registry.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | TAO_Cleanup_Func_Registry
| This is a helper class that is designed to perform cleanup on thread-specific objects registered in the ORB Core TSS resources by invoking the corresponding cleanup function on each object. Hence, there is a tight coupling between this class and the TAO ORB Core. More...

## Detailed Description

Id
  Cleanup_Func_Registry.h,v 1.8 2005/11/02 07:13:02 ossama Exp

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>